<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tags_system_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."tags_system_panel/infusion_db.php";
include INFUSIONS."tags_system_panel/inc/inc.php";

add_to_title($locale['global_200'].$locale['tgs_050']);

if (!checkrights("TAGS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
$tag_id = "";

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
		$rowstart = $_GET['rowstart'];
	    } else {
		$rowstart = 0;
	}

 if (isset($_POST['download_tags'])) {
 $tag_name = stripinput(trim($_POST['tag_name']));
 $tag_tags = stripinput(trim($_POST['tag_tags']));
 $result = dbquery("INSERT INTO ".DB_TAGS." VALUES('', '".$tag_name."', 'D', '".$tag_tags."')");                                       
        { redirect(FUSION_SELF.$aidlink."&rowstart=$rowstart"); }

       } elseif (isset($_POST['download_tags_update'])) {
 $tag_tags = stripinput(trim($_POST['tag_tags']));   
 $result = dbquery("UPDATE ".DB_TAGS." SET tag_tags='$tag_tags' WHERE tag_id='".$_POST['tag_id']."'");
       { redirect(FUSION_SELF.$aidlink."&rowstart=$rowstart"); }
        
        }else {

opentable($locale['tgs_050']);
	$counter = dbcount("(download_id)", DB_DOWNLOADS);
include INFUSIONS."tags_system_panel/inc/admin_nav.php";

 echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
              
 $result = dbquery(
            "SELECT u.download_id, u.download_cat, u.download_title, u.download_description_short, tac.download_cat_id, tac.download_cat_access    
			FROM ".DB_DOWNLOADS." u
			INNER JOIN ".DB_DOWNLOAD_CATS." tac ON u.download_cat=tac.download_cat_id 
			".(iSUPERADMIN ? "" : "WHERE ".groupaccess('download_cat_access'))." 
			ORDER BY download_datestamp 
			DESC LIMIT $rowstart, $limit
			");

    echo "<tr><th class='tbl1'>".$locale['tgs_053']."</th>\n</tr>\n";
if (dbrows($result)) {

	while($data = dbarray($result)) {
	    echo "<tr><td class='tbl1'><a href='".BASEDIR."downloads.php?download_id=".$data['download_id']."' title='".$data['download_title']."' class='side'><strong>".$data['download_title']."</strong></a></td>\n</tr>\n";
		echo "<tr><td class='tbl1'>".trimlink($data['download_description_short'], 80)."</td>\n</tr>\n";
		$tag_check = dbarray(dbquery("SELECT * FROM ".DB_TAGS." WHERE tag_name = '".$data['download_id']."' AND tag_type = 'D'"));
		
		if (!$tag_check['tag_tags']) {
		echo "<form name='download_tags' method='post' action='".FUSION_SELF.$aidlink."&rowstart=".$rowstart."'>\n";
		} else {
		echo "<form name='download_tags_update' method='post' action='".FUSION_SELF.$aidlink."&rowstart=".$rowstart."'>\n";
		}
		echo "<tr><td class='tbl1' align='center'>".$locale['tgs_003'].": ";
		echo "\n<input type='text' name='tag_tags' value='".$tag_check['tag_tags']."' class='textbox' style='width:300px;' />\n";
		echo "<input type='hidden' name='tag_name' value='".$data['download_id']."' />\n";
		if ($tag_check['tag_tags']) {
		echo "<input type='hidden' name='tag_id' value='".$tag_check['tag_id']."' />\n";
		echo "<input type='submit' name='download_tags_update' value='".$locale['tgs_009']."' class='button' />\n";
		} else {
		$tag_id = "";
		echo "<input type='submit' name='download_tags' value='".$locale['tgs_010']."' class='button' />\n";
       }
		echo "</form></td>\n</tr>\n";
	  }
    } else {
	echo "<tr><td class='tbl1'>".$locale['tgs_057']."</td>\n</tr>\n";
 }

echo "</table>\n";

if (($counter) > $limit) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$limit,$counter,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }

// Please do not remove copyright info
   $title = $locale['tgs_001'];
   $data_v = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'tags_system_panel'"));	
   $version = $data_v['inf_version'];
   echo "<br /><div class='small' align='center'><hr width='80%'>".$title." [v".$version."] by <a target='_blank' href='http://www.phpnuclear.com/'>HobbyMan</a> ".date("Y")."<br /><hr width='60%'></div>\n";
// End copyright info

closetable();

}

require_once THEMES."templates/footer.php";
?>